package com.qianhe.service;

import com.qianhe.domain.SjZdbfZsdwwtcj;

import java.util.List;

/**
 * 指导帮扶-基层单位问题采集Service接口
 *
 * @author qianhe
 * @date 2024-07-23
 */
public interface ISjZdbfJcdwwtcjService
{
    /**
     * 查询指导帮扶-基层单位问题采集
     *
     * @param id 指导帮扶-基层单位问题采集主键
     * @return 指导帮扶-基层单位问题采集
     */
    public SjZdbfZsdwwtcj selectSjZdbfZsdwwtcjById(Long id);

    /**
     * 查询指导帮扶-基层单位问题采集列表
     *
     * @param sjZdbfZsdwwtcj 指导帮扶-基层单位问题采集
     * @return 指导帮扶-基层单位问题采集集合
     */
    public List<SjZdbfZsdwwtcj> selectSjZdbfZsdwwtcjList(SjZdbfZsdwwtcj sjZdbfZsdwwtcj);

    /**
     * 新增指导帮扶-基层单位问题采集
     *
     * @param sjZdbfZsdwwtcj 指导帮扶-基层单位问题采集
     * @return 结果
     */
    public int insertSjZdbfZsdwwtcj(SjZdbfZsdwwtcj sjZdbfZsdwwtcj);

    /**
     * 修改指导帮扶-基层单位问题采集
     *
     * @param sjZdbfZsdwwtcj 指导帮扶-基层单位问题采集
     * @return 结果
     */
    public int updateSjZdbfZsdwwtcj(SjZdbfZsdwwtcj sjZdbfZsdwwtcj);

    /**
     * 批量删除指导帮扶-基层单位问题采集
     *
     * @param ids 需要删除的指导帮扶-基层单位问题采集主键集合
     * @return 结果
     */
    public int deleteSjZdbfZsdwwtcjByIds(Long[] ids);

    /**
     * 删除指导帮扶-基层单位问题采集信息
     *
     * @param id 指导帮扶-基层单位问题采集主键
     * @return 结果
     */
    public int deleteSjZdbfZsdwwtcjById(Long id);

    int batchSave(List<SjZdbfZsdwwtcj> list);

}
